Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.networkdb.reseed
Class Reseeder

    java.lang.Object
      net.i2p.router.networkdb.reseed.Reseeder

    public class Reseeder

extends Object

Moved from ReseedHandler in routerconsole. See ReseedChecker for additional comments. Handler to deal with reseed requests. This will reseed from the URLs specified below unless the I2P configuration property "i2p.reseedURL" is set. It always writes to ./netDb/, so don't mess with that.

Nested Class Summary
`class` | `Reseeder.ReseedRunner`

Field Summary
`static String` | `PROP_PROXY_HOST`
`static String` | `PROP_PROXY_PORT`

Constructor Summary
`Reseeder(RouterContext ctx)`

Method Summary
`void` | `requestReseed()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_PROXY_HOST

    public static final String PROP_PROXY_HOST

See Also:
  Constant Field Values

### PROP_PROXY_PORT

    public static final String PROP_PROXY_PORT

See Also:
  Constant Field Values

Constructor Detail

### Reseeder

    public Reseeder(RouterContext ctx)

Method Detail

### requestReseed

    public void requestReseed()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD